## ledger 3.0.0~20120421+7cc550f

=== Makefile ===
# Makefile.in generated by automake 1.11.5 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
# Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.







am__make_dryrun = \
  { \
    am__dry=no; \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        echo 'am--echo: ; @echo "AM"  OK' | $(MAKE) -f - 2>/dev/null \
          | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
      *) \
        for am__flg in $$MAKEFLAGS; do \
          case $$am__flg in \
            *=*|--*) ;; \
            *n*) am__dry=yes; break;; \
          esac; \
        done;; \
    esac; \
    test $$am__dry = yes; \
  }
pkgdatadir = $(datadir)/ledger
pkgincludedir = $(includedir)/ledger
pkglibdir = $(libdir)/ledger
pkglibexecdir = $(libexecdir)/ledger
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
#am__append_1 = system.hh.gch
#am__append_2 = system.hh.gch
#am__append_3 = system.hh.gch
bin_PROGRAMS = ledger$(EXEEXT)
#am__append_4 = -I$(srcdir)/python

######################################################################
#am__append_5 = libledger_python.la
TESTS = RegressTests$(EXEEXT) BaselineTests$(EXEEXT) \
	ManualTests$(EXEEXT) ConfirmTests$(EXEEXT) \
	GenerateTests$(EXEEXT) $(am__EXEEXT_1) $(am__EXEEXT_2) \
	$(am__EXEEXT_3)
#am__append_6 = \
#	UtilTests   \
#	MathTests   \
#	ExprTests

#	DataTests   \
#	ReportTests
#am__append_7 = CheckTests
#am__append_8 = PyUnitTests
check_PROGRAMS = $(am__EXEEXT_4)
#am__append_9 = doc/Doxyfile doc/refman.pdf
#am__append_10 = Doxyfile.gen doc/Doxyfile.bak doc/refman.pdf
subdir = .
DIST_COMMON = $(am__configure_deps) $(am__pkgpython_PYTHON_DIST) \
	$(dist_lisp_LISP) $(dist_man_MANS) $(pkginclude_HEADERS) \
	$(srcdir)/Makefile.am $(srcdir)/Makefile.in \
	$(srcdir)/config.h.in $(top_srcdir)/configure \
	$(top_srcdir)/intl/Makefile.in ABOUT-NLS config.guess \
	config.rpath config.sub depcomp elisp-comp install-sh \
	ltmain.sh missing py-compile texinfo.tex
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/codeset.m4 \
	$(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/glibc2.m4 \
	$(top_srcdir)/m4/glibc21.m4 $(top_srcdir)/m4/iconv.m4 \
	$(top_srcdir)/m4/intdiv0.m4 $(top_srcdir)/m4/intl.m4 \
	$(top_srcdir)/m4/intlmacosx.m4 $(top_srcdir)/m4/intmax.m4 \
	$(top_srcdir)/m4/inttypes-pri.m4 \
	$(top_srcdir)/m4/inttypes_h.m4 $(top_srcdir)/m4/lcmessage.m4 \
	$(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \
	$(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/lock.m4 $(top_srcdir)/m4/longlong.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
	$(top_srcdir)/m4/printf-posix.m4 $(top_srcdir)/m4/progtest.m4 \
	$(top_srcdir)/m4/size_max.m4 $(top_srcdir)/m4/stdint_h.m4 \
	$(top_srcdir)/m4/uintmax_t.m4 $(top_srcdir)/m4/visibility.m4 \
	$(top_srcdir)/m4/wchar_t.m4 $(top_srcdir)/m4/wint_t.m4 \
	$(top_srcdir)/m4/xsize.m4 $(top_srcdir)/version.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES = intl/Makefile
CONFIG_CLEAN_VPATH_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(pyexecdir)" \
	"$(DESTDIR)$(bindir)" "$(DESTDIR)$(infodir)" \
	"$(DESTDIR)$(lispdir)" "$(DESTDIR)$(pkgpythondir)" \
	"$(DESTDIR)$(man1dir)" "$(DESTDIR)$(pkgincludedir)"
LTLIBRARIES = $(lib_LTLIBRARIES) $(pyexec_LTLIBRARIES)
am__ledger_la_SOURCES_DIST = src/pyledger.cc
#am_ledger_la_OBJECTS = ledger_la-pyledger.lo
ledger_la_OBJECTS = $(am_ledger_la_OBJECTS)
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
ledger_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
	$(CXXFLAGS) $(ledger_la_LDFLAGS) $(LDFLAGS) -o $@
#am_ledger_la_rpath = -rpath $(pyexecdir)
libledger_data_la_LIBADD =
am_libledger_data_la_OBJECTS = libledger_data_la-lookup.lo \
	libledger_data_la-compare.lo libledger_data_la-iterators.lo \
	libledger_data_la-timelog.lo libledger_data_la-textual.lo \
	libledger_data_la-temps.lo libledger_data_la-journal.lo \
	libledger_data_la-archive.lo libledger_data_la-account.lo \
	libledger_data_la-xact.lo libledger_data_la-post.lo \
	libledger_data_la-item.lo
libledger_data_la_OBJECTS = $(am_libledger_data_la_OBJECTS)
libledger_data_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX \
	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
	$(AM_CXXFLAGS) $(CXXFLAGS) $(libledger_data_la_LDFLAGS) \
	$(LDFLAGS) -o $@
libledger_expr_la_LIBADD =
am_libledger_expr_la_OBJECTS = libledger_expr_la-option.lo \
	libledger_expr_la-format.lo libledger_expr_la-query.lo \
	libledger_expr_la-predicate.lo libledger_expr_la-scope.lo \
	libledger_expr_la-expr.lo libledger_expr_la-op.lo \
	libledger_expr_la-parser.lo libledger_expr_la-token.lo \
	libledger_expr_la-value.lo
libledger_expr_la_OBJECTS = $(am_libledger_expr_la_OBJECTS)
libledger_expr_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX \
	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
	$(AM_CXXFLAGS) $(CXXFLAGS) $(libledger_expr_la_LDFLAGS) \
	$(LDFLAGS) -o $@
libledger_math_la_LIBADD =
am_libledger_math_la_OBJECTS = libledger_math_la-balance.lo \
	libledger_math_la-quotes.lo libledger_math_la-pool.lo \
	libledger_math_la-annotate.lo libledger_math_la-commodity.lo \
	libledger_math_la-amount.lo
libledger_math_la_OBJECTS = $(am_libledger_math_la_OBJECTS)
libledger_math_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX \
	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
	$(AM_CXXFLAGS) $(CXXFLAGS) $(libledger_math_la_LDFLAGS) \
	$(LDFLAGS) -o $@
libledger_python_la_LIBADD =
am__libledger_python_la_SOURCES_DIST = src/pyutils.h src/pyfstream.h \
	src/py_account.cc src/py_amount.cc src/py_balance.cc \
	src/py_commodity.cc src/py_expr.cc src/py_format.cc \
	src/py_item.cc src/py_journal.cc src/py_post.cc \
	src/py_times.cc src/py_utils.cc src/py_value.cc src/py_xact.cc \
	src/pyinterp.cc
#am_libledger_python_la_OBJECTS =  \
#	libledger_python_la-py_account.lo \
#	libledger_python_la-py_amount.lo \
#	libledger_python_la-py_balance.lo \
#	libledger_python_la-py_commodity.lo \
#	libledger_python_la-py_expr.lo \
#	libledger_python_la-py_format.lo \
#	libledger_python_la-py_item.lo \
#	libledger_python_la-py_journal.lo \
#	libledger_python_la-py_post.lo \
#	libledger_python_la-py_times.lo \
#	libledger_python_la-py_utils.lo \
#	libledger_python_la-py_value.lo \
#	libledger_python_la-py_xact.lo \
#	libledger_python_la-pyinterp.lo
libledger_python_la_OBJECTS = $(am_libledger_python_la_OBJECTS)
#am_libledger_python_la_rpath = -rpath \
#	$(libdir)
libledger_report_la_LIBADD =
am_libledger_report_la_OBJECTS = libledger_report_la-stats.lo \
	libledger_report_la-generate.lo libledger_report_la-csv.lo \
	libledger_report_la-convert.lo libledger_report_la-draft.lo \
	libledger_report_la-emacs.lo libledger_report_la-org.lo \
	libledger_report_la-xml.lo libledger_report_la-print.lo \
	libledger_report_la-output.lo libledger_report_la-precmd.lo \
	libledger_report_la-chain.lo libledger_report_la-filters.lo \
	libledger_report_la-report.lo libledger_report_la-session.lo
libledger_report_la_OBJECTS = $(am_libledger_report_la_OBJECTS)
libledger_report_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX \
	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
	$(AM_CXXFLAGS) $(CXXFLAGS) $(libledger_report_la_LDFLAGS) \
	$(LDFLAGS) -o $@
libledger_util_la_LIBADD =
am_libledger_util_la_OBJECTS = libledger_util_la-stream.lo \
	libledger_util_la-mask.lo libledger_util_la-times.lo \
	libledger_util_la-error.lo libledger_util_la-utils.lo \
	libledger_util_la-accum.lo libledger_util_la-sha1.lo
am__objects_1 =
nodist_libledger_util_la_OBJECTS = $(am__objects_1)
libledger_util_la_OBJECTS = $(am_libledger_util_la_OBJECTS) \
	$(nodist_libledger_util_la_OBJECTS)
libledger_util_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX \
	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
	$(AM_CXXFLAGS) $(CXXFLAGS) $(libledger_util_la_LDFLAGS) \
	$(LDFLAGS) -o $@
#am__EXEEXT_1 = UtilTests$(EXEEXT) \
#	MathTests$(EXEEXT) ExprTests$(EXEEXT)
#am__EXEEXT_2 = CheckTests$(EXEEXT)
#am__EXEEXT_3 = PyUnitTests$(EXEEXT)
am__EXEEXT_4 = RegressTests$(EXEEXT) BaselineTests$(EXEEXT) \
	ManualTests$(EXEEXT) ConfirmTests$(EXEEXT) \
	GenerateTests$(EXEEXT) $(am__EXEEXT_1) $(am__EXEEXT_2) \
	$(am__EXEEXT_3)
PROGRAMS = $(bin_PROGRAMS)
am_BaselineTests_OBJECTS =
BaselineTests_OBJECTS = $(am_BaselineTests_OBJECTS)
BaselineTests_LDADD = $(LDADD)
am_CheckTests_OBJECTS =
CheckTests_OBJECTS = $(am_CheckTests_OBJECTS)
CheckTests_LDADD = $(LDADD)
am_ConfirmTests_OBJECTS =
ConfirmTests_OBJECTS = $(am_ConfirmTests_OBJECTS)
ConfirmTests_LDADD = $(LDADD)
am_ExprTests_OBJECTS = ExprTests-t_expr.$(OBJEXT)
ExprTests_OBJECTS = $(am_ExprTests_OBJECTS)
am__DEPENDENCIES_1 =
am__DEPENDENCIES_2 = libledger_util.la $(am__DEPENDENCIES_1)
am__DEPENDENCIES_3 = libledger_math.la $(am__DEPENDENCIES_2)
ExprTests_DEPENDENCIES = libledger_expr.la $(am__DEPENDENCIES_3)
am_GenerateTests_OBJECTS =
GenerateTests_OBJECTS = $(am_GenerateTests_OBJECTS)
GenerateTests_LDADD = $(LDADD)
am_ManualTests_OBJECTS =
ManualTests_OBJECTS = $(am_ManualTests_OBJECTS)
ManualTests_LDADD = $(LDADD)
am_MathTests_OBJECTS = MathTests-t_commodity.$(OBJEXT) \
	MathTests-t_amount.$(OBJEXT) MathTests-t_balance.$(OBJEXT)
MathTests_OBJECTS = $(am_MathTests_OBJECTS)
MathTests_DEPENDENCIES = libledger_math.la $(am__DEPENDENCIES_2)
am_PyUnitTests_OBJECTS =
PyUnitTests_OBJECTS = $(am_PyUnitTests_OBJECTS)
PyUnitTests_LDADD = $(LDADD)
am_RegressTests_OBJECTS =
RegressTests_OBJECTS = $(am_RegressTests_OBJECTS)
RegressTests_LDADD = $(LDADD)
