=== debian/changelog ===
ledger (3.0.0~20120421+7cc550f-1~ybp60+1) stable; urgency=low

  * Non-maintainer upload.
  * Rebuild against squeeze

 -- Uli Martens <uli@youam.net>  Sun, 06 Jan 2013 16:51:49 +0100

ledger (3.0.0~20120421+7cc550f-1) experimental; urgency=low

  * Updated git snapshot build for experimental.
  * Bumped Standards-Version to 3.9.3; no changes required.
  * Update debhelper compat to 8.

 -- Matt Palmer <mpalmer@debian.org>  Sat, 21 Apr 2012 19:43:07 +1000
